# PlayerVisibleContent

Property in [BasicBlock](/2.2/api/csharp/yarn.compiler/yarn.compiler.basicblock.md)

## Summary

Gets the collection of player-visible content that will be delivered when this block is run.

```csharp
public IEnumerable<PlayerVisibleContentElement> PlayerVisibleContent
{
            get; }
```

## Remarks

Player-visible content means lines, options and commands. When this block is run, the entire contents of this collection will be displayed to the player, in the same order as they appear in this collection.

If this collection is empty, then the block contains no visible content. This is the case for blocks that only contain logic, and do not contain any lines, options or commands.

To tell the difference between the different kinds of content, use the `is` operator to check the type of each item:

```
foreach (var item in block.PlayerVisibleContent) { if (item is
LineElement line) { // Do something with line } }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.basicblock/yarn.compiler.basicblock.playervisiblecontent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
